package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流程单抄送记录对象 hs_flow_cc
 *
 * @author willalp
 * @date 2023-02-14
 */

@TableName("hs_flow_cc")
public class HsFlowCc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @TableId
    private String id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 业务数据 */
    @Excel(name = "业务数据")
    private String formData;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String taskId;

    /** 抄送用户 */
    @Excel(name = "抄送用户")
    private String users;

    /** 是否删除（0.未删除；1.已删除） */
    private Integer isDelete;

    /** 模型ID */
    @Excel(name = "模型ID")
    private String examplesId;

    @TableField(exist = false)
    private String msgIsRead;


    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }

    public String getFormData() {
        return formData;
    }

    public void setFormData(String formData) {
        this.formData = formData;
    }

    public void setTaskId(String taskId)
    {
        this.taskId = taskId;
    }

    public String getTaskId()
    {
        return taskId;
    }
    public void setUsers(String users)
    {
        this.users = users;
    }

    public String getUsers()
    {
        return users;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }
    public void setExamplesId(String examplesId)
    {
        this.examplesId = examplesId;
    }

    public String getExamplesId()
    {
        return examplesId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("jsonData", getFormData())
            .append("taskId", getTaskId())
            .append("users", getUsers())
            .append("isDelete", getIsDelete())
            .append("examplesId", getExamplesId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    public String getMsgIsRead() {
        return msgIsRead;
    }

    public void setMsgIsRead(String msgIsRead) {
        this.msgIsRead = msgIsRead;
    }
}
